<div class="card pt-1">
    <div class="card mt-5 mr-3 ml-3 pr-3 pl-3 pt-1">
        <p-accordion  [multiple]="true">
            <p-accordionTab [selected]="true" header="ค้นหาข้อมูล" [selected]="true">

                <div class="card border-round shadow-1 bg-blue-50">
                    <div class="formgrid grid border-round p-6">
                        <div class="field col-12 md:col-6 lg:col-2">
                            
                                <div class="inline fields"> 
                                    <!-- <div class="field"> -->
                                        <span class="p-float-label">
                                            <input id="float-input" [(ngModel)]="pid" type="text" pInputText onkeypress="if(this.value.length==13) return false;">
                                            <label for="float-input">เลขบัตรประชาชน</label>
                                        </span>
                                    <!-- </div> -->
                                    </div>                             
                        </div>
                        <div class="field col-12 md:col-6 lg:col-1">
                         
                                <div class="inline fields">
                                    <div class="field">
                                        <button pButton type="button" class="button-success" (click)="getPhr()" icon="pi pi-search" label ="ค้นหา"></button>
                                    </div>
                                </div>
  
                        </div>
                    </div>
                </div>
            </p-accordionTab>

            <p-accordionTab header="ข้อมูลหน่วยบริการ" [selected]="true">
                <p-table #dt id="dt" [value]="rowsData" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                [rowHover]="true" [rows]="25" [showCurrentPageReport]="true" [rowsPerPageOptions]="[5,6,8,10,25,50]" [loading]="loading"
                [filterDelay]="0" [globalFilterFields]="['hn','fullname','refer_hospname']" responsiveLayout="scroll"
                paginatorPosition="bottom" [scrollable]="true" scrollHeight="{{scrollHeight}}"
                [virtualRowHeight]="6" [style]="ptableStyle"
                frozenColumns="10" selectionMode="single" dblClickSelect="false" (onRowSelect)="onRowSelect($event)">
                <!-- <ng-template pTemplate="caption">
               
                </ng-template> -->
          
                <ng-template pTemplate="header">
                
                  <tr>
                    <!-- <th class="text-center justify-content-center pt-2 pb-2" style='flex: 0 0 25%;'>ID</th> -->
                    <th class="text-center justify-content-center pt-2 pb-2" style='flex: 0 0 10%;'>HN</th>
                    <th class="text-center justify-content-center pt-2 pb-2" style='flex: 0 0 20%;'>CID</th>
                    <th class="text-center justify-content-center pt-2 pb-2" style='flex: 0 0 20%;'>ชื่อ-สกุล</th>
                    <th class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 10%;'>วันเกิด</th>
                    <th class="text-center justify-content-center pt-2 pb-2"   style='flex: 0 0 10%;'>เพศ</th>
                    <th class="text-center justify-content-center pt-2 pb-2"   style='flex: 0 0 20%;'>หน่วยบริการ</th>
                    <th class="text-center justify-content-center pt-2 pb-2"   style='flex: 0 0 10%;'>his_provider</th>
                  </tr>
          
                </ng-template>
                <ng-template
                  pTemplate="body"
                  ngFor
                  let-item
          
                  let-i="index">
                  <!-- <tr class="p-selectable-row"> -->
                  <tr class="p-selectable-row">
                    <!-- <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 25%;' [pSelectableRow]="item">
                      {{ item.txid }}
                    </td> -->
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 10%;' [pSelectableRow]="item">
                      {{ item.hn }}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 20%;' [pSelectableRow]="item">
                      {{ item.cid }}
                    </td>
                    <td class=" pt-2 pb-2"  style='flex: 0 0 20%;' [pSelectableRow]="item">
                        คุณ {{ item.first_name }} {{ item.last_name }}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 10%;' [pSelectableRow]="item">
                      {{ item.birthdate | thaidate:'short'}}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 10%;' [pSelectableRow]="item">
                      {{ item.sex }}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 20%;' [pSelectableRow]="item">
                        {{ item.hospcode }} : {{ item.hospname }}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 10%;' [pSelectableRow]="item">
                      {{ item.his_provider }}
                    </td>
                  </tr>
                </ng-template>
                <ng-template pTemplate="emptymessage">
                    <tr>
                        <td colspan="8"  style='flex: 0 0 100%;'>ไม่พบรายการ..</td>
                    </tr>
                </ng-template>
              </p-table>
            </p-accordionTab>

            <p-accordionTab header="ข้อมูลการบริการ" [selected]="true">
                <p-table #dt id="dt" [value]="rowsDataPhr" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                [rowHover]="true" [rows]="25" [showCurrentPageReport]="true" [rowsPerPageOptions]="[5,6,8,10,25,50]" [loading]="loadingPhr"
                [filterDelay]="0" [globalFilterFields]="['hn','fullname','refer_hospname']" responsiveLayout="scroll"
                paginatorPosition="bottom" [scrollable]="true" scrollHeight="{{scrollHeight}}"
                [virtualRowHeight]="6" [style]="ptableStyle"
                frozenColumns="10" selectionMode="single" dblClickSelect="false" (onRowSelect)="onRowSelectPhr($event)">
                <!-- <ng-template pTemplate="caption">
               
                </ng-template> -->
          
                <ng-template pTemplate="header">
                
                  <tr>
                    <!-- <th class="text-center justify-content-center pt-2 pb-2" style='flex: 0 0 25%;'>ID</th> -->
                    <th class="text-center justify-content-center pt-2 pb-2" style='flex: 0 0 10%;'>SEQ</th>
                    <th class="text-center justify-content-center pt-2 pb-2" style='flex: 0 0 20%;'>DX</th>
                    <th class="text-center justify-content-center pt-2 pb-2" style='flex: 0 0 20%;'>สิทธิ์การรับบริการ</th>
                    <th class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 10%;'>วันที่รับริการ</th>
                    <th class="text-center justify-content-center pt-2 pb-2"   style='flex: 0 0 10%;'>เวลา</th>
                    <th class="text-center justify-content-center pt-2 pb-2"   style='flex: 0 0 20%;'>หน่วยบริการ</th>
                    <th class="text-center justify-content-center pt-2 pb-2"   style='flex: 0 0 10%;'>his_provider</th>
                  </tr>
          
                </ng-template>
                <ng-template
                  pTemplate="body"
                  ngFor
                  let-item
          
                  let-i="index">
                  <!-- <tr class="p-selectable-row"> -->
                  <tr class="p-selectable-row">
                    <!-- <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 25%;' [pSelectableRow]="item">
                      {{ item.txid }}
                    </td> -->
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 10%;' [pSelectableRow]="item">
                      {{ item.vn }}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 20%;' [pSelectableRow]="item">
                      {{ item.diagnosis_code }}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 20%;' [pSelectableRow]="item">
                        {{ item.pttype }}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 10%;' [pSelectableRow]="item">
                      {{ item.visit_date | thaidate:'short'}}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 10%;' [pSelectableRow]="item">
                      {{ item.visit_time }}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 20%;' [pSelectableRow]="item">
                        {{ item.hospcode }} : {{ item.hospname }}
                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2"  style='flex: 0 0 10%;' [pSelectableRow]="item">
                      {{ item.his_provider }}
                    </td>
                  </tr>
                </ng-template>
                <ng-template pTemplate="emptymessage">
                    <tr>
                        <td colspan="8"  style='flex: 0 0 100%;'>ไม่พบรายการ..</td>
                    </tr>
                </ng-template>
              </p-table>
            </p-accordionTab>

            <p-accordionTab header="ผลการรักษา" [selected]="true"> 
                    <div class="card border-round bg-purple-50 mb-1">
                        <div class="formgrid grid border-round">
                            <p-tabView>
    
                                <p-tabPanel header="การรักษา" leftIcon="pi pi-book">
                                    <div class="field col-12 md:col-12">

                                    <br>
                                    <div class="formgrid grid" style="height:359px;" >
                                        <div class="field col-12 md:col-12">
                                            <b class="text-green-600">น้ำหนัก&nbsp;&nbsp; </b> <strong>{{screening.weight}} &nbsp;กก.</strong>&nbsp;&nbsp;&nbsp;
                                            <b class="text-green-600">ส่วนสูง&nbsp;&nbsp; </b> <strong>{{screening.height}}&nbsp;ซม.</strong>&nbsp;&nbsp;&nbsp;
                                            <b class="text-green-600">รอบเอว&nbsp;&nbsp; </b> <strong>{{screening.waist}}&nbsp;ซม.</strong>&nbsp;&nbsp;&nbsp;
                                            <b class="text-green-600">ความดันโลหิต&nbsp;&nbsp; </b> <strong>{{screening.bps}}</strong>/<strong>{{screening.bpd}}</strong>&nbsp;&nbsp;&nbsp;
                                            <b class="text-green-600">อุณหภูมิ&nbsp;&nbsp; </b> <strong>{{screening.temperature}}&nbsp;เซลเซียส</strong>&nbsp;&nbsp;&nbsp;
                                            <b class="text-green-600">PR&nbsp;&nbsp; </b> <strong>{{screening.pulse_rate}}</strong>&nbsp;&nbsp;&nbsp;
                                            <b class="text-green-600">RR&nbsp;&nbsp; </b> <strong>{{screening.respiratory_rate}}</strong>&nbsp;&nbsp;&nbsp;
                                        </div>
                                        <div class="field col-12 md:col-6">
                                            <label for="textCc" class="text-green-600"><b>CC</b></label>
                                            <textarea id="textCc" type="text" rows="6" [(ngModel)]="screening.chief_complain" class="inputfield w-full"></textarea>
                                        </div>        
                                        <div class="field col-12 md:col-6">
                                            <label for="textPe" class="text-green-600"><b>PE</b></label>
                                            <textarea id="textPe" type="text" rows="6" [(ngModel)]="screening.pe" class="inputfield w-full"></textarea>
                                        </div>
                                        <div class="field col-12 md:col-6">
                                            <label for="textHpi" class="text-green-600"><b>PI</b></label>
                                            <textarea id="textHpi" type="text" rows="6" [(ngModel)]="screening.hpi" class="inputfield w-full"></textarea>
                                        </div>
            
                                    </div>
                                </div>
            
                                </p-tabPanel>
    
                                <p-tabPanel header="การวินิจฉัย" leftIcon="pi pi-credit-card">
                                    <div class="field col-12 md:col-12">
                                        <br />
                                        <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                            <p-table #dtCreate [value]="diagnosis" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                                    [rowHover]="true" 
                                                     responsiveLayout="scroll"
                                                   [scrollable]="true" scrollHeight="345px" 
                                                    [virtualRowHeight]="6" >
                                                    <ng-template pTemplate="headergrouped">
                                                    <tr>
                                                        <th class="text-center">รหัสโรค</th>
                                                        <th class="text-center">ชื่อโรค EN</th>
                                                        <th class="text-center">ชื่อโรค TH</th>
                                                        <th class="text-center">ประเภท</th>
                                                    </tr>
                                                </ng-template>
                                                <ng-template pTemplate="body" let-rows>
                                                    <tr class="p-selectable-row">
                                                        <td>
                                                            <span class="p-column-title">วันที่ทำหัถการ</span>
                                                            {{rows.diagnosis_code}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">ชื่อโรค EN</span>
                                                            {{rows.diagnosis_en_name}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">ชื่อโรค TH</span>
                                                            {{rows.diagnosis_th_name}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">ประเภท</span>
                                                            {{rows.diagnosis_type}}
                                                        </td>
                                                    </tr>
                                                </ng-template>
                                                <ng-template pTemplate="emptymessage">
                                                    <tr>
                                                        <td colspan="16">ไม่พบรายการ..</td>
                                                    </tr>
                                                </ng-template>
                                            </p-table>
                                        </div>
                                    </div>
                                </p-tabPanel>
    
                                <p-tabPanel header="หัตถการ" leftIcon="pi pi-credit-card">
                                    <div class="field col-12 md:col-12">
                                        <br />
                                        <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                            <p-table #dtCreate [value]="procedure" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                                    [rowHover]="true" 
                                                     responsiveLayout="scroll"
                                                   [scrollable]="true" scrollHeight="345px" 
                                                    [virtualRowHeight]="6" >
                                                    <ng-template pTemplate="headergrouped">
                                                    <tr>
                                                        <th class="text-center">วันที่ทำหัถการ</th>
                                                        <th class="text-center">เวลา</th>
                                                        <th class="text-center">รหัสหัตถการ</th>
                                                        <th class="text-center">ชื่อหัตถการ</th>
                                                    </tr>
                                                </ng-template>
                                                <ng-template pTemplate="body" let-rows>
                                                    <tr class="p-selectable-row">
                                                        <td>
                                                            <span class="p-column-title">วันที่ทำหัถการ</span>
                                                            {{rows.start_date | thaidate:'short'}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">เวลา</span>
                                                            {{rows.start_time}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">รหัสหัตถการ</span>
                                                            {{rows.diagnosis_code}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">ชื่อหัตถการ</span>
                                                            {{rows.diagnosis_en_name}}
                                                        </td>
                                                    </tr>
                                                </ng-template>
                                                <ng-template pTemplate="emptymessage">
                                                    <tr>
                                                        <td colspan="16">ไม่พบรายการ..</td>
                                                    </tr>
                                                </ng-template>
                                            </p-table>
                                        </div>
                                    </div>
                                </p-tabPanel>
            
                                <p-tabPanel header="ผล LAB" leftIcon="pi pi-desktop"> 
                                    <div class="field col-12 md:col-12">
                                        <br>
                                        <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                            <p-table #dtCreate [value]="lab" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                            [rowHover]="true" 
                                            responsiveLayout="scroll"
                                            [scrollable]="true" scrollHeight="345px"
                                            [virtualRowHeight]="6" >
                                                <ng-template pTemplate="headergrouped">
                                                    <tr>
                                                        <th class="text-center">วันที่ทำแล็บ</th>
                                                        <th class="text-center">เวลา</th>
                                                        <th class="text-center">กลุ่มแล็บ</th>
                                                        <th class="text-center">รายการ</th>
                                                        <th class="text-center">ผลแล็บ</th>
                                                        <th class="text-center">ค่าปกติ</th>
                                                    </tr>
                                                </ng-template>
                                                <ng-template pTemplate="body" let-rows>
                                                    <tr class="p-selectable-row">
                                                        <td>
                                                            <span class="p-column-title">วันที่ทำแล็บ</span>
                                                            {{rows.date_serv | thaidate:'short'}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">เวลา</span>
                                                            {{rows.time_serv}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">กลุ่มแล็บ</span>
                                                            {{rows.labgroup}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">รายการ</span>
                                                            {{rows.lab_name}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">ผลแล็บ</span>
                                                            {{rows.lab_result}} {{rows.unit}}
                                                        </td>
                                                        <td>
                                                            <span class="p-column-title">ค่าปกติ</span>
                                                            {{rows.standard_result}}
                                                        </td>
                                                    </tr>
                                                </ng-template>
                                                <ng-template pTemplate="emptymessage">
                                                    <tr>
                                                        <td colspan="16">ไม่พบรายการ..</td>
                                                    </tr>
                                                </ng-template>
                                            </p-table>
                                        </div>
                                    </div>
                                </p-tabPanel>
            
                                <p-tabPanel header="ยา" leftIcon="pi pi-briefcase">
                                    <div class="field col-12 md:col-12">
                                        <br />
                                        <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                            <p-table #dtCreate [value]="drug" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                            [rowHover]="true" 
                                            responsiveLayout="scroll"
                                            [scrollable]="true" scrollHeight="345px"
                                            [virtualRowHeight]="6" >
                                                <ng-template pTemplate="headergrouped">
                                                    <tr>
                                                        <th class="text-center">รหัสยา</th>
                                                        <th class="text-center">ชื่อยา</th>
                                                        <th class="text-center">จำนวน</th>
                                                        <th class="text-center">หน่วยนับ</th>
                                                        <th class="text-center">วิธีใช้</th>
                                                    </tr>
                                                </ng-template>
                                                <ng-template pTemplate="body" let-rows>
                                                    <tr class="p-selectable-row">
                                                        <td #pFrozenColumn>
                                                            <span class="p-column-title">รหัสยา</span>
                                                            {{rows.drug_code}}
                                                        </td>
                                                        <td #pFrozenColumn>
                                                            <span class="p-column-title">ชื่อยา</span>
                                                            {{rows.drug_name}}
                                                        </td>
                                                        <td #pFrozenColumn>
                                                            <span class="p-column-title">จำนวน</span>
                                                            {{rows.qty}}
                                                        </td>
                                                        <td #pFrozenColumn>
                                                            <span class="p-column-title">หน่วยนับ</span>
                                                            {{rows.drug_shortname}}
                                                        </td>
                                                        <td #pFrozenColumn>
                                                            <span class="p-column-title">วิธีใช้</span>
                                                            {{rows.usage}}
                                                        </td>
                                                    </tr>
                                                </ng-template>
                                                <ng-template pTemplate="emptymessage">
                                                    <tr>
                                                        <td colspan="16">ไม่พบรายการ..</td>
                                                    </tr>
                                                </ng-template>
                                            </p-table>
                                        </div>
                                    </div>
                                </p-tabPanel>
                                <p-tabPanel header="วัคซีน Covid-19" leftIcon="pi pi-history">
                                    <div class="field col-12 md:col-12">
                                        <br />
                                        <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                            <p-table #dtCreate [value]="itemeCovidVaccine" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                            [rowHover]="true" 
                                            responsiveLayout="scroll"
                                            [scrollable]="true" scrollHeight="345px"
                                            [virtualRowHeight]="6" >
                                                <ng-template pTemplate="headergrouped">
                                                    <tr>
                                                        <th class="text-center">เข็มที่</th>
                                                        <th class="text-center" #pFrozenColumn>ชื่อหน่วยให้บริการ</th>
                                                        <th class="text-center" #pFrozenColumn>วันที่/เวลา ได้รับวัคซีน</th>
                                                        <th class="text-center">ชื่อ Vaccine</th>
                                                        <th class="text-center">lot number</th>
                                                        <th class="text-center">serial no</th>
                                                        
                                                    </tr>
                                                </ng-template>
                                                <ng-template pTemplate="body" let-rows>
                                                    <tr class="p-selectable-row">
                                                        <td #pFrozenColumn>
                                                            <span class="p-column-title">เข็มที่</span>
                                                            {{rows.vaccine_plan_no}}
                                                        </td>
                                                        <td #pFrozenColumn>
                                                            <span class="p-column-title">ชื่อหน่วยให้บริการ</span>
                                                            {{rows.hospital_name}}
                                                        </td>
                                                        <td #pFrozenColumn>
                                                            <span class="p-column-title">วันที่/เวลา ได้รับวัคซีน</span>
                                                            {{rows.immunization_datetime | thaidate:'short'}}
                                                        </td>
                                                        <td #pFrozenColumn>
                                                            <span class="p-column-title">ชื่อ Vaccine</span>
                                                            {{rows.vaccine_name}}
                                                        </td>
                                                        <td #pFrozenColumn>
                                                            <span class="p-column-title">lot number</span>
                                                            {{rows.lot_number}}
                                                        </td> <td #pFrozenColumn>
                                                            <span class="p-column-title">serial no</span>
                                                            {{rows.serial_no}}
                                                        </td>
                                                    </tr>
                                                </ng-template>
                                                <ng-template pTemplate="emptymessage">
                                                    <tr>
                                                        <td colspan="6">ไม่พบรายการ..</td>
                                                    </tr>
                                                </ng-template>
                                            </p-table>
                                        </div>
                                    </div>
                                </p-tabPanel>
                            </p-tabView>
                        </div>
                    </div>

            </p-accordionTab>

        </p-accordion>




        <!-- <p-card class="shadow-3"> -->
    </div>
</div>